﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using UFOBot.Database;

namespace UFOBot.Migrations
{
    [DbContext(typeof(UFODbContext))]
    [Migration("20210909211819_AddInGameUserToDiscordTable")]
    partial class AddInGameUserToDiscordTable
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "5.0.8");

            modelBuilder.Entity("UFOBot.Database.Models.DiscordEditMessageModel", b =>
                {
                    b.Property<int>("DiscordEditMessageModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("Content")
                        .HasColumnType("TEXT");

                    b.Property<int>("DiscordMessageModelId")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("TimestampUtc")
                        .HasColumnType("TEXT");

                    b.HasKey("DiscordEditMessageModelId");

                    b.HasIndex("DiscordMessageModelId");

                    b.ToTable("DiscordEditMessageModel");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordMessageModel", b =>
                {
                    b.Property<int>("DiscordMessageModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("AuthorDiscriminator")
                        .HasColumnType("TEXT");

                    b.Property<string>("AuthorUsername")
                        .HasColumnType("TEXT");

                    b.Property<string>("ChannelCategory")
                        .HasColumnType("TEXT");

                    b.Property<ulong>("ChannelId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("ChannelName")
                        .HasColumnType("TEXT");

                    b.Property<string>("Content")
                        .HasColumnType("TEXT");

                    b.Property<bool>("Deleted")
                        .HasColumnType("INTEGER");

                    b.Property<string>("DeletedByDiscriminator")
                        .HasColumnType("TEXT");

                    b.Property<string>("DeletedByUsername")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("DeletedTimestampUtc")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("EditedTimestampUtc")
                        .HasColumnType("TEXT");

                    b.Property<ulong>("MessageId")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("TimestampUtc")
                        .HasColumnType("TEXT");

                    b.HasKey("DiscordMessageModelId");

                    b.HasIndex("MessageId");

                    b.ToTable("DiscordMessageModels");
                });

            modelBuilder.Entity("UFOBot.Database.Models.InGameUserToDiscordUserModel", b =>
                {
                    b.Property<int>("InGameUserToDiscordUserModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("DiscordDiscriminator")
                        .HasColumnType("TEXT");

                    b.Property<string>("DiscordUsername")
                        .HasColumnType("TEXT");

                    b.Property<string>("InGameUsername")
                        .HasColumnType("TEXT");

                    b.HasKey("InGameUserToDiscordUserModelId");

                    b.ToTable("InGameUserToDiscordUserModels");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordEditMessageModel", b =>
                {
                    b.HasOne("UFOBot.Database.Models.DiscordMessageModel", "DiscordMessageModel")
                        .WithMany("Edits")
                        .HasForeignKey("DiscordMessageModelId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("DiscordMessageModel");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordMessageModel", b =>
                {
                    b.Navigation("Edits");
                });
#pragma warning restore 612, 618
        }
    }
}
